#ifndef __PAGE_H__
#define __PAGE_H__
#define PTE_DEFAULT 0x02
#define PGE_DEFAULT 0x02
#define PGD_ADDRESS 0x100000 //1M~5M 4kb 까지 테이블 영역, 10000~100000 까진 이미지 등등 공간.
typedef unsigned int pgd_t;
typedef unsigned int pmd_t;
typedef struct page_table_entry
{
	unsigned int addr : 20;
	int flags : 12;
}pte_t;
typedef struct virtual_address
{
	unsigned int dir_index:10;
	unsigned int table_index:10;
	unsigned int offset:12;
}vaddress;

void init_pmd(); // 페이지 테이블 초기화
void init_pgd(); // 페이지 디렉터리 초기화
int mmap(const unsigned int virtual, const unsigned int physical,const int flags); //물리 주소를 가상 주소로 연결
int mummap(const unsigned int virtual); // 페이지 사용 해제
int init_image_area(); //내부적으로 mmap 사용
void enable_paging();
#endif
